petsc-3.13.6 2020-09-29
Report Typos and Errors

# TSForwardSetIntegralGradients

Set the vectors holding forward sensitivities of the integral term.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSForwardSetIntegralGradients(TS ts,PetscInt numfwdint,Vec *vp)

### Input Parameter

| ts | - the TS context obtained from TSCreate()
| numfwdint | - number of integrals
| vp = the vectors containing the gradients for each integral w.r.t. parameters | -

### See Also

TSForwardGetSensitivities(), TSForwardSetIntegralGradients(), TSForwardGetIntegralGradients(), TSForwardStep()

### Level

deprecated

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages